### Method

# ICalGLib Component get_component_name

since: 4.0

#### Declaration [src]

    gchar*
    i_cal_component_get_component_name (
      const ICalComponent* component
    )

#### Description [src]

Returns the name of the `component` as string.

Available since: 4.0

#### Return value

Type: `gchar*`

Name of the `component`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.